package org.colllib.filter;

/**
 * A filter (known as "predicate" in other contexts) performs an evaluation
 * on a single element resulting in a boolean.
 *
 * This file is part of CollLib released under the terms of the LGPL V3.0.
 * See the file licenses/lgpl-3.0.txt for details.
 *
 * @author marc.jackisch
 */
public interface Filter<T> {
   public boolean matches(T t);
}
